
void _efl_canvas_vg_gradient_linear_efl_gfx_gradient_linear_start_set(Eo *obj, Efl_Canvas_Vg_Gradient_Linear_Data *pd, double x, double y);


void _efl_canvas_vg_gradient_linear_efl_gfx_gradient_linear_start_get(const Eo *obj, Efl_Canvas_Vg_Gradient_Linear_Data *pd, double *x, double *y);


void _efl_canvas_vg_gradient_linear_efl_gfx_gradient_linear_end_set(Eo *obj, Efl_Canvas_Vg_Gradient_Linear_Data *pd, double x, double y);


void _efl_canvas_vg_gradient_linear_efl_gfx_gradient_linear_end_get(const Eo *obj, Efl_Canvas_Vg_Gradient_Linear_Data *pd, double *x, double *y);


Eina_Bool _efl_canvas_vg_gradient_linear_efl_gfx_path_interpolate(Eo *obj, Efl_Canvas_Vg_Gradient_Linear_Data *pd, const Efl_Object *from, const Efl_Object *to, double pos_map);


Efl_Duplicate *_efl_canvas_vg_gradient_linear_efl_duplicate_duplicate(const Eo *obj, Efl_Canvas_Vg_Gradient_Linear_Data *pd);


void _efl_canvas_vg_gradient_linear_efl_gfx_path_bounds_get(const Eo *obj, Efl_Canvas_Vg_Gradient_Linear_Data *pd, Eina_Rect *r);


Efl_Object *_efl_canvas_vg_gradient_linear_efl_object_constructor(Eo *obj, Efl_Canvas_Vg_Gradient_Linear_Data *pd);


void _efl_canvas_vg_gradient_linear_efl_object_destructor(Eo *obj, Efl_Canvas_Vg_Gradient_Linear_Data *pd);


static Eina_Bool
_efl_canvas_vg_gradient_linear_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_CANVAS_VG_GRADIENT_LINEAR_EXTRA_OPS
#define EFL_CANVAS_VG_GRADIENT_LINEAR_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_gfx_gradient_linear_start_set, _efl_canvas_vg_gradient_linear_efl_gfx_gradient_linear_start_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_gradient_linear_start_get, _efl_canvas_vg_gradient_linear_efl_gfx_gradient_linear_start_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_gradient_linear_end_set, _efl_canvas_vg_gradient_linear_efl_gfx_gradient_linear_end_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_gradient_linear_end_get, _efl_canvas_vg_gradient_linear_efl_gfx_gradient_linear_end_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_path_interpolate, _efl_canvas_vg_gradient_linear_efl_gfx_path_interpolate),
      EFL_OBJECT_OP_FUNC(efl_duplicate, _efl_canvas_vg_gradient_linear_efl_duplicate_duplicate),
      EFL_OBJECT_OP_FUNC(efl_gfx_path_bounds_get, _efl_canvas_vg_gradient_linear_efl_gfx_path_bounds_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_canvas_vg_gradient_linear_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_canvas_vg_gradient_linear_efl_object_destructor),
      EFL_CANVAS_VG_GRADIENT_LINEAR_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_canvas_vg_gradient_linear_class_desc = {
   EO_VERSION,
   "Efl.Canvas.Vg.Gradient_Linear",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Canvas_Vg_Gradient_Linear_Data),
   _efl_canvas_vg_gradient_linear_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_canvas_vg_gradient_linear_class_get, &_efl_canvas_vg_gradient_linear_class_desc, EFL_CANVAS_VG_GRADIENT_CLASS, EFL_GFX_GRADIENT_LINEAR_INTERFACE, NULL);
